aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2012-11-27 22:19:44 -0700
committerChristoph Junghans <ottxor@gentoo.org>2012-11-27 22:24:18 -0700
commitf2368464e2cfa6042694f26c759a8158384ab3c3 (patch)
treede5d5b0b6b3a35f8115661089bae35f6858fa857 /eclass
parentMerge branch 'master' of git+ssh://git.overlays.gentoo.org/proj/sci; github.c... (diff)
downloadsci-f2368464e2cfa6042694f26c759a8158384ab3c3.tar.gz
sci-f2368464e2cfa6042694f26c759a8158384ab3c3.tar.bz2
sci-f2368464e2cfa6042694f26c759a8158384ab3c3.zip
intel-sdp.eclass: fix install on x86 + qa
* only process Samples dir if existing * typo: _version-test -> _version_test * qa: check if linguas_ja is in IUSE before using it * typo: check statc-libs -> static-libs
Diffstat (limited to 'eclass')
-rw-r--r--eclass/intel-sdp.eclass21
1 files changed, 12 insertions, 9 deletions
diff --git a/eclass/intel-sdp.eclass b/eclass/intel-sdp.eclass
index a3942ffd2..6952516be 100644
--- a/eclass/intel-sdp.eclass
+++ b/eclass/intel-sdp.eclass
@@ -193,7 +193,7 @@ big-warning() {
# @ECLASS-FUNCTION: _version_test
# @INTERNAL
# Testing for valid license by asking for version information of the compiler
-_version-test() {
+_version_test() {
local _comp _comp_full _arch _file _warn
case ${PN} in
ifc )
@@ -332,13 +332,15 @@ intel-sdp_src_install() {
find "${INTEL_SDP_DIR}"/Documentation -delete || die
eend
- if use examples && [[ -d "${INTEL_SDP_DIR}"/Samples ]]; then
- insinto /usr/share/${P}/examples/
- doins -r "${INTEL_SDP_DIR}"/Samples/*
+ if [[ -d "${INTEL_SDP_DIR}"/Samples ]]; then
+ if use examples ; then
+ insinto /usr/share/${P}/examples/
+ doins -r "${INTEL_SDP_DIR}"/Samples/*
+ fi
+ ebegin "Cleaning out examples"
+ find "${INTEL_SDP_DIR}"/Samples -delete || die
+ eend
fi
- ebegin "Cleaning out examples"
- find "${INTEL_SDP_DIR}"/Samples -delete || die
- eend
if [[ -d "${INTEL_SDP_DIR}"/eclipse_support ]]; then
if has eclipse ${IUSE} && use eclipse; then
@@ -352,13 +354,14 @@ intel-sdp_src_install() {
if [[ -d "${INTEL_SDP_DIR}"/man ]]; then
doman "${INTEL_SDP_DIR}"/man/en_US/man1/*
- use linguas_ja && \
+ if has linguas_ja ${IUSE} && use linguas_ja; then
doman -i18n=ja_JP "${INTEL_SDP_DIR}"/man/ja_JP/man1/*
+ fi
find "${INTEL_SDP_DIR}"/man -delete || die
fi
- use statc-libs || \
+ use static-libs || \
find opt -type f -name "*.a" -delete || die
ebegin "Tagging ${PN}"